<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: Data Structures</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Data Structures</h1>Here are the data structures with brief descriptions:<table>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__ChBoundResources.html">EDMA3_RM_ChBoundResources</a></td><td class="indexvalue">EDMA3 Channel-Bound resources </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__GblConfigParams.html">EDMA3_RM_GblConfigParams</a></td><td class="indexvalue">Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific Information </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__GblErrCallbackParams.html">EDMA3_RM_GblErrCallbackParams</a></td><td class="indexvalue">Global Error Callback parameters </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__Instance.html">EDMA3_RM_Instance</a></td><td class="indexvalue">EDMA3 RM Instance Specific Configuration Structure </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__InstanceInitConfig.html">EDMA3_RM_InstanceInitConfig</a></td><td class="indexvalue">Init-time Region Specific Configuration structure for EDMA3 RM, to provide region specific Information </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__MiscParam.html">EDMA3_RM_MiscParam</a></td><td class="indexvalue">Used to specify the miscellaneous options during Resource Manager Initialization </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__Obj.html">EDMA3_RM_Obj</a></td><td class="indexvalue">EDMA3 Hardware Instance Configuration Structure </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__Param.html">EDMA3_RM_Param</a></td><td class="indexvalue">Used to Initialize the Resource Manager Instance </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__ParamentryRegs.html">EDMA3_RM_ParamentryRegs</a></td><td class="indexvalue">EDMA3 PaRAM Set </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__PaRAMRegs.html">EDMA3_RM_PaRAMRegs</a></td><td class="indexvalue">EDMA3 PaRAM Set in User Configurable format </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__ResDesc.html">EDMA3_RM_ResDesc</a></td><td class="indexvalue">Handle to a Resource </td></tr>
  <tr><td class="indexkey"><a class="el" href="structEDMA3__RM__TccCallbackParams.html">EDMA3_RM_TccCallbackParams</a></td><td class="indexvalue">TCC Callback - Caters to channel specific status reporting </td></tr>
</table>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
